# services/bstein-dev-home/kustomization.yaml
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: bstein-dev-home
resources:
  - namespace.yaml
  - image.yaml
  - rbac.yaml
  - vault-serviceaccount.yaml
  - secretproviderclass.yaml
  - vault-sync-deployment.yaml
  - chat-ai-gateway-deployment.yaml
  - chat-ai-gateway-service.yaml
  - frontend-deployment.yaml
  - frontend-service.yaml
  - backend-deployment.yaml
  - backend-service.yaml
  - vaultwarden-cred-sync-cronjob.yaml
  - validation-jobs/portal-onboarding-e2e-test-job.yaml
  - ingress.yaml
images:
  - name: registry.bstein.dev/bstein/bstein-dev-home-frontend
    newTag: 0.1.1-447 # {"$imagepolicy": "bstein-dev-home:bstein-dev-home-frontend:tag"}
  - name: registry.bstein.dev/bstein/bstein-dev-home-backend
    newTag: 0.1.1-447 # {"$imagepolicy": "bstein-dev-home:bstein-dev-home-backend:tag"}
configMapGenerator:
  - name: chat-ai-gateway
    namespace: bstein-dev-home
    files:
      - gateway.py=scripts/gateway.py
    options:
      disableNameSuffixHash: true
  - name: vaultwarden-cred-sync-script
    namespace: bstein-dev-home
    files:
      - vaultwarden_cred_sync.py=scripts/vaultwarden_cred_sync.py
    options:
      disableNameSuffixHash: true
  - name: portal-onboarding-e2e-tests
    namespace: bstein-dev-home
    files:
      - test_portal_onboarding_flow.py=scripts/test_portal_onboarding_flow.py
    options:
      disableNameSuffixHash: true
